package com.hfkj.openapi.model.request;

import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * @className: RequestQueryGasListModel
 * @author: HuRui
 * @date: 2024/9/18
 **/
@Data
public class RequestQueryGasInfoModel {
    /**
     * appid
     */
    @NotBlank(message = "appId必填项")
    private String appId;

    /**
     * 油站编号
     */
    @NotNull(message =  "油站编号必填项")
    private String gasNo;

    /**
     * 签名参数
     */
    @NotBlank(message = "签名必填项")
    private String sign;

}
