package com.hfkj.openapi.model.request;

import lombok.Data;
import org.hibernate.validator.constraints.Range;

import javax.validation.constraints.NotBlank;

/**
 * @className: RequestQueryDiscountListModel
 * @author: HuRui
 * @date: 2024/9/1
 **/
@Data
public class RequestQueryPkDiscountModel {

    /**
     * appid
     */
    @NotBlank(message = "请求id必填项")
    private String reqId;

    /**
     * appid
     */
    @NotBlank(message = "appId必填项")
    private String appId;

    /**
     * 优惠券编号
     */
    @NotBlank(message = "券包编号必填项")
    private String discountPkNo;

    /**
     * 签名参数
     */
    @NotBlank(message = "签名必填项")
    private String sign;

}
