package com.hfkj.openapi.model.response;

import lombok.Data;

/**
 * 订单退款通知
 * @className: OrderRefundNotifyModel
 * @author: HuRui
 * @date: 2024/11/21
 **/
@Data
public class OrderRefundNotifyModel {
    /**
     * 订单号
     */
    private String orderNo;
    /**
     * 渠道类型
     */
    private Integer channelType;
    /**
     * 渠道单号
     */
    private String channelOrderNo;
    /**
     * 退款状态
     */
    private boolean refundResult;
    /**
     * 退款失败原因
     */
    private String refundFailReason;
    /**
     * 签名
     */
    private String sign;

}
