package com.hfkj.openapi.model.response;

import lombok.Data;

import javax.validation.constraints.NotBlank;
import java.util.Date;

/**
 * @className: RequestQueryDiscountListModel
 * @author: HuRui
 * @date: 2024/9/1
 **/
@Data
public class ResponseQueryCodeModel {

    /**
     * 请求id
     */
    private String reqId;

    /**
     * appid
     */
    private String appId;

    /**
     * 优惠券编号
     */
    private String discountNo;

    /**
     * 电话
     */
    private String phone;

    /**
     * 优惠券编码
     */
    private Long code;

    /**
     * 状态
     */
    private Integer status;

    /**
     * 创建时间
     */
    private String createTime;

    /**
     * 过期时间
     */
    private String expirationDate;

    /**
     * 签名参数
     */
    private String sign;
}
