package com.hfkj.openapi.model.response;

import com.hfkj.openapi.model.GasOilPriceDetail;
import lombok.Data;

import java.util.List;

/**
 * @className: RequestQueryGasListModel
 * @author: HuRui
 * @date: 2024/9/18
 **/
@Data
public class ResponseQueryGasInfoModel {
    /**
     * 油站编号
     */
    private String gasNo;
    /**
     * 油站名称
     */
    private String gasName;
    /**
     * 省份编码
     */
    private Long provinceCode;
    /**
     * 油站所在省份
     */
    private String provinceName;
    /**
     * 城市编码
     */
    private Long cityCode;
    /**
     * 油站所在城市
     */
    private String cityName;
    /**
     * 区县码
     */
    private Long countyCode;
    /**
     * 油站所在区/县
     */
    private String countyName;
    /**
     * 油站详细地址
     */
    private String gasAddress;
    /**
     * 油站经度
     */
    private String gasAddressLongitude;
    /**
     * 油站维度
     */
    private String gasAddressLatitude;
    /**
     * 油站状态
     */
    private Integer gasStatus;
    /**
     * 油站logo
     */
    private String gasLogo;
    /**
     * 油品信息
     */
    private List<GasOilPriceDetail> oilPriceList;
}
